Subject: Re: PaceElementOrder

From: Graham Parks <[email-masked]>
Date: Sat, 10 Jul 2004 07:18:38 +0100

On Saturday, July 10, 2004, at 06:56AM, Mark Nottingham <[email-masked]> wrote: 

>>  The child elements of <atom:feed> may appear in any order, subject 
>> only to 
>>  the constraint that the the <atom:entry> children appear in a group 
>> after all 
>>  other child elements.  That is to say, the "feed-level" elements must 
>> all 
>>  appear before the first <atom:entry> element.  The order in which the 
>>  child elements of <atom:feed> appear is not considered significant. 
> 
>+1: I don't understand the Pace at it sits. 

Agree on both counts. I also don't like the "MUST NOT be considered significant" phrase in both the current draft and the Pace, since a simple client that passes entries straight through may break the rules. We just need to say that the client on the other end has no obligation to (and is unlikely to) preserve the ordering.

>> It's also been proposed that we consider imposing a *strict* ordering, 
>> something like 
>> title/author/copyright/dates/.../entries.  It might simplify some 
>> software tasks, I could go either way on that. 
> 
>-1: how would extensions be ordered?= 

Entries in any order please. 

Graham